#include "imageoperationrotate.h"
#include "../include/common.h"

ImageOperationRotate::ImageOperationRotate(QImage *origin, QStack<QImage> *stackImage)
{
    m_origin = origin;
    m_stackImage = stackImage;
}
void ImageOperationRotate::ImageOP(){
    QImage opImage = imageCopy(m_origin,m_stackImage);
    QMatrix matrix;
    matrix.rotate(270);
    opImage = opImage.transformed(matrix);
    opImage.save(ScanningPicture);
    emit finished();
}
